package com.ruoyi.project.shiftmgr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.shiftmgr.domain.TShiftRoster;

/**
 * 排班计划管理Mapper接口
 * 
 * @author ssy
 * @date 2024-08-19
 */
public interface TShiftRosterMapper 
{
    /**
     * 查询排班计划管理
     * 
     * @param id 排班计划管理ID
     * @return 排班计划管理
     */
    public TShiftRoster selectTShiftRosterById(Long id);

    /**
     * 查询排班计划管理列表
     * 
     * @param tShiftRoster 排班计划管理
     * @return 排班计划管理集合
     */
    @DataScope(deptAlias = "d")
    public List<TShiftRoster> selectTShiftRosterList(TShiftRoster tShiftRoster);

    public List<TShiftRoster> selectTShiftRosterListByTrain(TShiftRoster tShiftRoster);

    /**
     * 新增排班计划管理
     * 
     * @param tShiftRoster 排班计划管理
     * @return 结果
     */
    public int insertTShiftRoster(TShiftRoster tShiftRoster);

    /**
     * 修改排班计划管理
     * 
     * @param tShiftRoster 排班计划管理
     * @return 结果
     */
    public int updateTShiftRoster(TShiftRoster tShiftRoster);

    /**
     * 删除排班计划管理
     * 
     * @param id 排班计划管理ID
     * @return 结果
     */
    public int deleteTShiftRosterById(Long id);

    /**
     * 批量删除排班计划管理
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTShiftRosterByIds(Long[] ids);
}
